# Basic configuration: /etc/ldap/ldap.conf, /etc/default/slapd, et al.

class su_ldap::openldap_install (
  $distribution => undef,
  $repository   => undef,
)
{

  # Only need to do something if $distribution is defined.

  if ($distribution) {
    # If $repository is defined, we need to add a file in
    # /etc/apt/sources.list.d.
    if ($repository) {
      file { '/etc/apt/sources.list.d/ldap':
        content => template('ldap/etc/apt/sources.list.d/ldap.erb')
      }
    }

    # Pin some OpenLDAP packages.
    file { '/etc/apt/preferences.d/ldap':
      content => template('ldap/etc/apt/preferences.d/ldap.erb')
      notify  => Exec['ldap aptitude update'];
    }

    # What about special sasl? LATER.

    # Update aptitude.
    exec { 'ldap aptitude update':
      command     => 'aptitude update',
      refreshonly => true,
    }

  }


}
